postcss-browser-reporter

    0.6.0 • Public • Published

    PostCSS Browser Reporter Build Status

    PostCSS plugin to report warning messages right in your browser.

    If a plugin before this one is throwing a warning, this plugin will append warning messages to html:before.

    Postcss-browser-reporter – warnings from other postcss plugins in your browser

    Usage

    Put this plugin after all plugins if you want to cover all possible warnings:

    postcss([
      require('other-plugin'),
      require('postcss-browser-reporter')
    ])

    Options

    selector ({String}, default: html::before)

    You can override selector that will be used to display messages:

    var messages = require('postcss-browser-reporter')
    postcss([
      messages({
        selector: 'body:before'
      })
    ])

    styles ({Object}, default: opinionated styles)

    You can override default styles applied to the selector:

    var messages = require('postcss-browser-reporter')
    postcss([
      messages({
        styles: {
          color: 'gray',
          'text-align': 'center'
        }
      })
    ])

    See PostCSS docs for examples for your environment.

    License

    The MIT License

    Install

    npm i postcss-browser-reporter

    DownloadsWeekly Downloads

    18,364

    Version

    0.6.0

    License

    MIT

    Unpacked Size

    6.79 kB

    Total Files

    5

    Last publish

    Collaborators

    • ai
    • gazay